package xn.xxp.main;

import androidx.annotation.NonNull;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;

import http.vo.response.CheckMachineVo;
import xn.xxp.R;

public class CheckMachineMsgAdapter extends BaseQuickAdapter<CheckMachineVo.Detail, BaseViewHolder> {
    public CheckMachineMsgAdapter(int layoutResId) {
        super(layoutResId);
    }

    @Override
    protected void convert(@NonNull BaseViewHolder baseViewHolder, CheckMachineVo.Detail detail) {
        baseViewHolder.setText(R.id.number, String.valueOf(baseViewHolder.getAdapterPosition() + 1))
                .setText(R.id.yhMs, detail.yhMs)
                .setText(R.id.optionCode, detail.optionCode)
                .setText(R.id.zgjzTime, detail.zgjzTime);
    }
}
